server:
  port: 25820
yt:
  port: 8848
  local: 127.0.0.1
  prod_1: 127.0.0.1
  prod_2: 119.45.117.147
spring:
  profiles:
    active: prod
---
spring:
  profiles: local
  main:
    allow-bean-definition-overriding: true
  application:
    name: walk-service
  cloud:
    nacos:
      discovery:
        server-addr: ${yt.local}:${yt.port}
        namespace: 52439154-ea03-4121-9759-44d0cacc4765
      config:
        server-addr: ${yt.local}:${yt.port}
        file-extension: yml
        namespace: 52439154-ea03-4121-9759-44d0cacc4765
---
spring:
  profiles: dev
  main:
    allow-bean-definition-overriding: true
  application:
    name: walk-service
  cloud:
    nacos:
      discovery:
        server-addr: ${yt.prod_1}:${yt.port}
        #        ip: ${yt.prod_1}
        namespace: ad14a1aa-fe06-473a-9050-9afa26ec0020
      config:
        server-addr: ${yt.prod_1}:${yt.port}
        file-extension: yml
        namespace: ad14a1aa-fe06-473a-9050-9afa26ec0020
---
spring:
  profiles: prod
  main:
    allow-bean-definition-overriding: true
  application:
    name: walk-service
  cloud:
    nacos:
      discovery:
        server-addr: ${yt.prod_2}:${yt.port}
        namespace: 766c8aa7-cd4c-47c5-8540-3a4dcdbdb4ae
      config:
        server-addr: ${yt.prod_2}:${yt.port}
        file-extension: yml
        namespace: 766c8aa7-cd4c-47c5-8540-3a4dcdbdb4ae